USB_HC_DIED(9)

NAME
usb_hc_died - report abnormal shutdown of a host controller (bus glue)

SYNOPSIS

void usb_hc_died(struct usb_hcd * hcd);

ARGUMENTS

hcd
    pointer to the HCD representing the controller

DESCRIPTION

This is called by bus glue to report a USB host controller that died while operations may still have been pending. It's called automatically by the PCI glue, so only glue for non-PCI busses should need to call it.

Only call this function with the primary HCD.

COPYRIGHT